scala.collection.jcl.MutableSeq
class DefaultSeqIterator

[source: `scala/collection/jcl/MutableSeq.scala`]

`protected` `class` DefaultSeqIterator
  `extends` SeqIterator[Int, A]

Direct Known Subclasses:
  Buffer.DefaultBufferIterator

Value Summary
`protected var` | index : Int

Method Summary
`override def` | hasNext : Boolean Does this iterator provide another element?
`override def` | hasPrevious : Boolean
`override def` | next : A Returns the next element.
`override def` | nextIndex : Int
`override def` | previous : A
`override def` | previousIndex : Int
`def` | remove : Nothing

Methods inherited from SeqIterator
seek, indexOf, map

Methods inherited from MutableIterator
filter, has, remove, retain, buffered0

Methods inherited from Iterator
take, drop, append, ++, flatMap, takeWhile, dropWhile, zip, zipWithIndex, foreach, forall, exists, contains, find, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, buffered, counted, duplicate, copyToArray, readInto, readInto, readInto, copyToBuffer, toList, mkString, mkString, addString, toString

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`protected` `var` index : Int

Method Details

`override` `def` hasNext : Boolean

  Does this iterator provide another element?

`override` `def` next : A

  Returns the next element.

`override` `def` hasPrevious : Boolean

Returns
  True if and only if the iterator's cursor is not at the beging of the iteration.

Overrides
  SeqIterator.hasPrevious

`override` `def` previous : A

Returns
  The previous element, will move the iterator's cursor backwards.

Overrides
  SeqIterator.previous

`override` `def` nextIndex : Int

Returns
  s The index at the iterator's cursor.

Overrides
  SeqIterator.nextIndex

`override` `def` previousIndex : Int

Returns
  s The index of the element before the iterator's cursor.

Overrides
  SeqIterator.previousIndex

`` `def` remove : Nothing